Subject: Re: bug#28479: icecat-52.3.0-gnu1 includes Google in search engines

From: Mark H Weaver <[email-masked]>
Date: Thu, 28 Sep 2017 23:52:02 -0400

Mark H Weaver <[email-masked]> writes:

> ng0 <[email-masked]> writes:
>
>> With a completely new system (had to set this up for testing Mate)
>> and guix package -i icecat  (for the recent release) and no pre-existing
>> configuration, the default was Google, not DuckDuckGo.
>
> On my GuixSD system, I just tried the following:
>
> * Quit IceCat, and wait for the process to really be gone.
> * Move ~/.mozilla to ~/.mozilla-OLD.
> * Restart IceCat.
>
> and I found that DuckDuckGo was the default search engine.
>
> I'm not sure what you did, but I suspect that you had a ~/.mozilla
> directory in place where Google was configured to be the default search
> engine.

Any response to this, ng0?  Do you still believe that Google is the
default search engine for our IceCat package?

      Mark